# AbcMatrix2 Class Reference

`#include <AbcMatrix.hpp>`

List of all members.

## Public Member Functions
Useful methods
void | transposeTimes (const AbcSimplex *model, const CoinPackedMatrix *rowCopy, const CoinIndexedVector &x, CoinIndexedVector &spareArray, CoinIndexedVector &z) const
| Return `x * -1 * A in `z`.`
bool | usefulInfo () const
| Returns true if copy has useful information.
Constructors, destructor
| AbcMatrix2 ()
| Default constructor.
| AbcMatrix2 (AbcSimplex *model, const CoinPackedMatrix *rowCopy)
| Constructor from copy.
| ~AbcMatrix2 ()
| Destructor.
Copy method
| AbcMatrix2 (const AbcMatrix2 &)
| The copy constructor.
AbcMatrix2 & | operator= (const AbcMatrix2 &)
## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
int | numberBlocks_
| Number of blocks.
int | numberRows_
| Number of rows.
int * | offset_
| Column offset for each block (plus one at end).
unsigned short * | count_
| Counts of elements in each part of row.
CoinBigIndex * | rowStart_
| Row starts.
unsigned short * | column_
| columns within block
double * | work_
| work arrays

## Detailed Description

Definition at line 495 of file AbcMatrix.hpp.

## Constructor & Destructor Documentation

AbcMatrix2::AbcMatrix2 | ( |  | ) |

Default constructor.

AbcMatrix2::AbcMatrix2 | ( | AbcSimplex * | model,
|  | const CoinPackedMatrix * | rowCopy |
| ) |  |  |

Constructor from copy.

AbcMatrix2::~AbcMatrix2 | ( |  | ) |

Destructor.

AbcMatrix2::AbcMatrix2 | ( | const AbcMatrix2 & |  | ) |

The copy constructor.

## Member Function Documentation

void AbcMatrix2::transposeTimes | ( | const AbcSimplex * | model,
|  | const CoinPackedMatrix * | rowCopy,
|  | const CoinIndexedVector & | x,
|  | CoinIndexedVector & | spareArray,
|  | CoinIndexedVector & | z |
| ) |  |  | const

Return `x * -1 * A in `z`.`

Note - x packed and z will be packed mode Squashes small elements and knows about AbcSimplex

bool AbcMatrix2::usefulInfo | ( |  | ) | const`[inline]`

Returns true if copy has useful information.

Definition at line 509 of file AbcMatrix.hpp.

AbcMatrix2& AbcMatrix2::operator= | ( | const AbcMatrix2 & |  | ) |

## Member Data Documentation

int AbcMatrix2::numberBlocks_`[protected]`

Number of blocks.

Definition at line 538 of file AbcMatrix.hpp.

int AbcMatrix2::numberRows_`[protected]`

Number of rows.

Definition at line 540 of file AbcMatrix.hpp.

int* AbcMatrix2::offset_`[protected]`

Column offset for each block (plus one at end).

Definition at line 542 of file AbcMatrix.hpp.

unsigned short* AbcMatrix2::count_`[mutable, protected]`

Counts of elements in each part of row.

Definition at line 544 of file AbcMatrix.hpp.

CoinBigIndex* AbcMatrix2::rowStart_`[mutable, protected]`

Row starts.

Definition at line 546 of file AbcMatrix.hpp.

unsigned short* AbcMatrix2::column_`[protected]`

columns within block

Definition at line 548 of file AbcMatrix.hpp.

double* AbcMatrix2::work_`[protected]`

work arrays

Definition at line 550 of file AbcMatrix.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Clp-1.15.11/Clp/src/AbcMatrix.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines